import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchUsers({
  role,
  loginName = "",
  name = "",
  enable = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { role, loginName, name, enable, pageNumber, pageSize },
    (v) => v !== ""
  );
  return httpApp.get("/api/admin/user/query?" + object2QueryString(data));
}
